local presents = {
	[15572] = { -- goey mass
		{2144, 2}, {7591, 2}, {7590, 2}, {15487, 10}, {2152, 2}, 5022, 9971, 15546, 15492
	}
}

function onUse(player, item, fromPosition, target, toPosition, isHotkey)
	local count = 1
	local targetItem = presents[item.itemid]
	if not targetItem then
		return true
	end

	local gift = targetItem[math.random(#targetItem)]
	if type(gift) == "table" then
		gift = gift[1]
		count = gift[2]
	end

	player:addItem(gift, count)
	item:remove(1)
	fromPosition:sendMagicEffect(CONST_ME_GIFT_WRAPS)
	return true
end
